Create a new waas account
curl --request POST \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/waas/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chain": "EVM",
"clientKeygenIds": [
"<string>"
],
"thresholdSignatureScheme": "TWO_OF_TWO",
"skipLock": false,
"addressType": "<string>"
}
'{
"roomId": "<string>",
"serverKeygenIds": [
"<string>"
],
"newServerKeygenIds": [
"<string>"
],
"walletId": "95b11417-f18f-457f-8804-68e361f9164f"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Create Waas Account Request
EVM, SVM, SUI, BTC, TON A base58 string with a max length of 100 characters
100^[1-9A-HJ-NP-Za-km-z]+$TWO_OF_TWO, TWO_OF_THREE, THREE_OF_FIVE When true, bypasses server-side lock during wallet creation.
Successfully created a room for waas account creation ceremony
A base58 string with a max length of 100 characters
100^[1-9A-HJ-NP-Za-km-z]+$A base58 string with a max length of 100 characters
100^[1-9A-HJ-NP-Za-km-z]+$36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Was this page helpful?
curl --request POST \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/waas/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chain": "EVM",
"clientKeygenIds": [
"<string>"
],
"thresholdSignatureScheme": "TWO_OF_TWO",
"skipLock": false,
"addressType": "<string>"
}
'{
"roomId": "<string>",
"serverKeygenIds": [
"<string>"
],
"newServerKeygenIds": [
"<string>"
],
"walletId": "95b11417-f18f-457f-8804-68e361f9164f"
}